Bug 14610 - sys.platform == 'linux-i386'
sys.platform == 'linux-i386'
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: python (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-25 07:38 EDT by Dimitri Papadopoulos
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-25 07:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitri Papadopoulos 2000-07-25 07:38:21 EDT
Hi,

You seem to have patched python so that sys.platform is 'linux-i386'
instead of 'linux2'.
Although I can understand why this patch was applied, it breaks too many
scripts.
Please remove this patch and use platform.py instead if you need detailed
information
on the platform.

Regards,
Dimitri
Comment 1 Matt Wilson 2001-01-26 21:28:39 EST
This is no patch.  You pass MACHDEP=linux-$RPM_ARCH into the configure program.
 The sys.platform is for adding on to paths to find the platform specific
directories.  Its value should not be depended on.

Note You need to log in before you can comment on or make changes to this bug.